iTunes Connect: Invalid or Non-Increasing CFBundleVersion

Discussion in 'iOS Programming' started by jshmrsn, Jan 2, 2009.

  1. macrumors member

    Jul 26, 2008
    I'm trying to update my App (Scifly: Lite) from 1.0 to 1.1

    I chose to use Application Loader, so I've already locked in the 1.1 update in iTunes Connect; it's waiting for a binary.

    When I upload my App bundle via Application Loader, it acts like it the upload worked fine... but a few minutes later I get an automatic email saying that the CFBundleVersion is "Invalid or Non-Increasing"

    I've checked in the Info.plist and it's 1.1, like it's suppose to be. I tried cleaning and rebuilding, but that's not helping.

    Anyone know how to fix this?

    Josh Rosen

    More of the email:
    "invalid or Non-Increasing CFBundleVersion - The value specified in the bundle's Info.plist file for the key CFBundleVersion must be a string consisting of any number of dot-separated components, where each component is composed only of the digits 0 through 9." etc. etc.

Share This Page